<template>
  <v-card width="400px" height="300px" class="pa-4">
    <v-row class="justify-center">
      <v-col align="left" class="d-flex align-center">
        <h3>{{ title }}</h3>
      </v-col>
      <v-col align="right">
        <SettingChart />
      </v-col>
    </v-row>
    <v-row>
      <v-col>
        <!-- <Doughnut
          :data="{
            labels: ['VueJs', 'EmberJs', 'ReactJs', 'AngularJs'],
            datasets: [
              {
                backgroundColor: ['#41B883', '#E46651', '#00D8FF', '#DD1B16'],
                data: [40, 20, 80, 10],
              },
            ],
          }"
          :options="{ responsive: true, maintainAspectRatio: false }"
        /> -->
      </v-col>
    </v-row>
  </v-card>
</template>

<script>
import { Chart as ChartJS, ArcElement, Tooltip, Legend } from "chart.js";
import { Doughnut } from 'vue-chartjs'
import SettingChart from "./SettingChart.vue";

ChartJS.register(ArcElement, Tooltip, Legend);

export default {
  name: "Doughnut",
  props: {
    title: String,
    data: Object,
    options: Object,
    id:Number
  },
  components: {
    SettingChart,
    Doughnut,
  },
};
</script>